Table of Contents

## Name

SoundCreate - create a description of an audio file.

## Synopsis

#include <audio/audiolib.h>

Sound SoundCreate(file_format, data_format, num_tracks, sample_rate, num_samples, comment)
int file_format;
int data_format;
int num_tracks;
int sample_rate;
int num_samples;
char *comment;

## Arguments

file_format
  Specifies the format of the audio file. Currently, the following file formats are supported: SoundFileFormatSnd, SoundFileFormatVoc, SoundFileFormatWave, SoundFileFormatAiff, and SoundFileFormatSvx.
data_format
  Specifies the format of the audio data. Currently, the following formats are defined: AuFormatULAW8, AuFormatLinearUnsigned8, AuFormatLinearSigned8, AuFormatLinearSigned16MSB, AuFormatLinearUnsigned16MSB, AuFormatSignedLinear16LSB, and AuFormatLinearUnsigned16LSB.
num_tracks
  Specifies the number of tracks in the audio data.
sample_rate
  Specifies the sample rate of the audio data.
num_samples
  Specifies the number of samples in the audio data.
comment

## Description

SoundCreate creates a SoundRec structure, initializes it with the specified values and returns a Sound (a pointer to the SoundRec structure) or NULL if there was an error.

## See Also

SoundCloseFile, SoundOpenFileForReading, SoundOpenFileWriting,

audiolib - Network Audio System C Language Interface

Table of Contents

- Name
- Synopsis
- Arguments
- Description
- See Also